CoreProtect 19.1

Fast, efficient block logging, rollbacks, and restores

  1. FarisJaclyn
    FarisJaclyn
    5/5,
    Version: 2.18.0
    Happy to have this plugin in 1.15! Thank you for such an excellent plugin - works well and really helps resolve issues with griefers! Love the rollback feature!
  2. DeleteMetaInf
    DeleteMetaInf
    5/5,
    Version: 2.18.0
    Thanks for fixing the bug I reported!

    This plugin is 100% necessary on 90% of servers. Use it. You need it.
  3. evalyn
    evalyn
    5/5,
    Version: 2.17.5
    Excellent plugin covers 99% of my needs!
    Recently I found something which can be improved in dealing with purging enormous block histories (over 80 million lines).
    I am familiar with database and I'd like to do some contributions.
    But I can't find the source code repository anywehere.
    No offence, I wonder whether this is a open-source project?
  4. kixmc
    kixmc
    5/5,
    Version: 2.17.5
    Fantastic plugin! Works exceptionally well.
    ....................................
  5. Syrk
    Syrk
    4/5,
    Version: 2.17.5
    1. Intelli
      Author's Response
      CoreProtect v2.17.5 is recommended for both Spigot 1.14 and Spigot 1.15
  6. huuhait
    huuhait
    5/5,
    Version: 2.17.5
    very good, verry good, verry good, nice plugins ! Ohohohohohohohohohohohohohoho
    hohoho
  7. MetamorphicMike
    MetamorphicMike
    5/5,
    Version: 2.17.5
    Coreprotect is the tried and true block logging plugin that is an absolute MUST for protecting your online Minecraft servers.
  8. realEntity303
    realEntity303
    4/5,
    Version: 2.17.5
    WorldEdit logging does not work (tested with 1.8.8 Paperspigot; FAWE) :/
    But everything else works just fine
    1. Intelli
      Author's Response
      WorldEdit is supported, FAWE is not (as it's not WorldEdit). FAWE unfortunately breaks the standard WorldEdit API, so logging is not possible.
  9. v1t0man36658
    v1t0man36658
    5/5,
    Version: 2.17.5
    Works as intended, have been using it for multiple years now! No issues. I'm trying to update my server to 1.15, so an updated version of this plugin on 1.15 would be great!
  10. KnifeKat
    KnifeKat
    5/5,
    Version: 2.17.5
    Plugin works perfectly fine. Been running it for years. I've tried it on many builds, many beta builds and the likes. I've never, NEVER once had an issue or error from this plugin unless it was from user error.

    All the people that mention this is a bad plugin or lags the server, or corrupts the server, are just horrible at maintaining, troubleshooting and addressing their issues on their server, and stab at a plugin that has no relation to it.

    I fully support this. This has protected my server from corrupt Moderators with Worldedit privileges, and the likes. I've never regretted this plugin's uses and use thereof, and will forever believe it is the top 5 best plugins my server has event my worlds from being destroyed by griefers.

    Keep up the good work, Intelli. Don't let the irresponsible, incompetent server 'owners' get you down.

    You are the best.
  11. Nicofisi
    Nicofisi
    5/5,
    Version: 2.17.5
    Amazing plugin, I've been using it on all of my servers for several years. It's useful no matter what your server type is.

    An update to 1.15 would be highly appreciated :)
  12. ElTodoFull
    ElTodoFull
    5/5,
    Version: 2.17.5
    Excellent plugin. Doesn't lag and saves a lot of information for a long time. Trapped a lot of x-rayers while seeing what they got from their random caves.
    When is it updating to 1.15?
  13. simondoestuff
    simondoestuff
    5/5,
    Version: 2.17.5
    CoreProtect is the ideal block logging plugin that we all needed. It avoids the necessity of external logging by efficiently storing all data locally in the DataFolder while compressing well. This plugin never fails to amaze me how fast and complete its features are.
  14. Emynoz
    Emynoz
    5/5,
    Version: 2.17.5
    Great plugin! You should add a feature to click on the position message line in /co l to teleport to the target position. Otherwise a must have plugin!
  15. NewJeb
    NewJeb
    1/5,
    Version: 2.17.5
    Для русских пользователей - Спасибо что блять сломали мне сервер своим плагином, у меня чуть бы - сервер не случилось, спасибо блять. Одна звезда до того как не обновите нормально плагин, а так потенциал у негго хороший. Не советую ставить пацаны на последние билды папер спигот 1.14.4.
    For English users - Thank you for fucking they broke my server with my plugin, I almost - the server didn’t happen, thanks for fucking. One star before you upgrade the plugin normally, and so the potential of Neggo is good. I do not advise you to put boys on the latest builds of Paper Spigot 1.14.4.
    1. Intelli
      Author's Response
      Bug reports can be submitted here: http://dev.bukkit.org/bukkit-plugins/coreprotect/tickets/

      However, CoreProtect absolutely does not cause any server corruption, and we never bypass any Spigot APIs. Worst case scenario, you may see some exceptions in your server console. However, these messages would just be related to CoreProtect, and have no impact otherwise on your server.
  16. Borbarad13
    Borbarad13
    3/5,
    Version: 2.17.5
    "without impacting your server performance." is just a lie.. Just check your /timings when you have a world with some more redstone/hoppers.

    The onInventoryMoveItemEvent listener of this plugin (v 2.17.5) will severely impact your server performance.
    1. Intelli
      Author's Response
      If you are experiencing issues, please provide a link to your server timings.
  17. kamil445
    kamil445
    5/5,
    Version: 2.17.5
    Working good on Paper 1.14.4. All commands working without errors. Great plugin!
  18. Nestu
    Nestu
    1/5,
    Version: 2.17.5
    Plugin makes server freeze after disabled at serverstop sequence. This plugin does have a very bad mainteinance and support.
    1. Intelli
      Author's Response
      The issue you’re referencing is a Spigot 1.14.X issue, and randomly occurs after all plugins on the server have finished unloading.
  19. sSlydee
    sSlydee
    5/5,
    Version: 2.17.5
    This plugin saved so much in my server from 1.8 to 1.14. Best plugin for anti-grief or log !
  20. usernpc10
    usernpc10
    5/5,
    Version: 2.17.5
    No complaints, still the great Core Protect that it was 5 years ago when I last saw it. I opened a server, promised anti grief and restoration, players are extremely happy with the results. Extremely easy to use and very light weight on the server. Excited to follow this plugin for my server. Keep up the phenomenal work!